import React, { useState } from 'react'

import styles from './feedbackArea.module.css'
import constants from '../constants.json'

function submitFeedback(msg, from) {
  return new Promise((resolve) => {
    fetch(constants.apiUrl + 'postfeedback', {
      method: 'POST',
      credentials: 'include',
      headers: {
        Accept: 'application/json',
        'Content-Type': 'application/json',
      },
      body: JSON.stringify({
        newTask: msg,
        from: from,
      }),
    })
      .then((resp) => {
        return resp.json()
      })
      .then((resp) => {
        if (resp.success) {
          resolve()
        } else {
          alert('Hiba küldés közben')
        }
      })
      .catch((err) => {
        alert('Hiba küldés közben')
        console.error(err)
      })
  })
}

export default function FeedbackArea({ from }) {
  const [feedback, setFeedback] = useState('')

  return (
    <div className={styles.inputArea}>
      <textarea
        onChange={(event) => setFeedback(event.target.value)}
        value={feedback}
        className={styles.feedback}
      />
      <div className={'buttonContainer'}>
        <div
          onClick={() => {
            if (feedback) {
              submitFeedback(feedback, from).then(() => {
                alert('Elküldve')
                setFeedback('')
              })
            } else {
              alert('Adj meg valami üzenetet ...')
            }
          }}
        >
          Küldés
        </div>
      </div>
    </div>
  )
}
