import React from 'react'

import Sleep from '../components/sleep'
import Head from 'next/head'

import ExternalLinkIcon from '../components/externalLinkIcon'

export default function Script() {
  return (
    <div>
      <Head>
        <title>Script - Qmining | Frylabs.net</title>
      </Head>
      <div className={'pageHeader'}>
        <h1>Script</h1>
      </div>
      <div className={'buttonContainer'}>
        <a href="https://www.tampermonkey.net/">
          Ajánlott userscript kezelő bővítmény
          <ExternalLinkIcon size={15} />
        </a>
        <a href="/install">
          Script telepítése
          <ExternalLinkIcon size={15} />
        </a>
      </div>
      <Sleep />
      {renderManual()}
    </div>
  )
}

function renderManual() {
  return (
    <>
      <center>
        <h2 className={'subtitle'}>A userscript telepítése, és használata</h2>
      </center>
      <div>
        <p>
          Ez a userscript Moodle/Elearnig/KMOOC tesztek megoldása során
          segítséget jelenít meg.
        </p>
        <ol>
          <li>
            Tölts le egy userscript futtató kiegészítőt a böngésződhöz: pl. a{' '}
            <a
              href="https://www.tampermonkey.net/"
              target="_blank"
              rel="noreferrer"
            >
              Tampermonkey
            </a>
            -t.
          </li>
          <li>
            <a
              href="http://qmining.frylabs.net/install"
              target="_blank"
              rel="noreferrer"
            >
              Kattints ide hogy felrakd a scriptet
            </a>{' '}
          </li>
          <li>
            A script ezt követően udvariasan megkér, hogy hadd beszélgessen a
            szerverrel, ezt engedélyezd neki. (Always allow domain)
          </li>
          <li>
            A támogatott oldalakon a script egy apró menü ablakot jelenít meg a
            weboldal bal alsó részén
          </li>
          <li>
            Ezután a kitöltendő teszt oldalán a kérdésre a választ kell látnod
            felül egy lebegő ablakban.
          </li>
          <li>
            Teszt ellenőrzés oldalon a script beküldi a szervernek a helyes
            válaszokat, az lementi az új kérdéseket, amik ezután azonnal
            elérhetők lesznek (neked, és másoknak is)
          </li>
        </ol>
        Egyéb fontos tudnivalók:
        <ul>
          <li>
            Ezt ments sokszor akár minden nap:{' '}
            <a
              href="http://qmining.frylabs.net/allqr.txt"
              target="_blank"
              rel="noreferrer"
            >
              {' '}
              Összes kérdés TXT
            </a>{' '}
            (az összes összegyűjtött kérdés, ha elszállna a szerver)
          </li>
          <li>
            Az{' '}
            <a href="/allQuestions" rel="noreferrer">
              összes kérdés oldal
            </a>{' '}
            az oldal, ahol manuálisan tudsz keresni, ha valami gáz lenne a
            scripttel.
          </li>
        </ul>
        <div>
          Ha útközben elakadsz, vagy hibát észlelsz, akkor oldalt a Kapcsolat
          résznél sok elérhetőséget találsz, amin segítséget kérhetsz.
        </div>
      </div>
    </>
  )
}
